curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria/id/{criteria_id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"target_type": "prompt",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llm_eval_enabled": true,
"sample_rate": null,
"model_id": null,
"model": null,
"provider": null,
"type": "1-5",
"question": null,
"llm_question": null,
"rubric": null,
"multi_select_labels": null,
"description": null,
"categories": null,
"auto_categorization_references": null,
"auto_categorization_allow_multiple_categories": false,
"create_criteria_if_missing": false,
"criteria_id": null,
"overwrite_latest_version": false,
"generate_insights": true
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"question": "<string>",
"llm_question": "<string>",
"llm_eval_enabled": true,
"type": "1-5",
"rubric": {},
"multi_select_labels": [
"<string>"
],
"version_number": 123,
"is_deployed": true,
"created_at": 123,
"sample_rate": 123,
"target": {
"target_type": "prompt",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "<string>",
"roles": [
"<string>"
],
"first_name": "<string>",
"last_name": "<string>",
"signup_source": "<string>",
"profile_picture": null,
"profile_color": null
},
"alignment_score": {
"number_correct": 123,
"number_incorrect": 123,
"ratio": 123,
"average_cost": 123
},
"options": [
"<string>"
],
"model_id": null,
"model_name": null,
"position": null,
"is_enabled": true,
"generate_insights": true,
"criteria_description": null,
"references": null,
"allow_multiple_categories": false,
"categories": null,
"eval_code": null,
"language": "python",
"pass_score": "<string>"
}Create a new version of an evaluation criteria. Use to iterate on evaluation criteria configuration while preserving the version history.
curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria/id/{criteria_id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"target_type": "prompt",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llm_eval_enabled": true,
"sample_rate": null,
"model_id": null,
"model": null,
"provider": null,
"type": "1-5",
"question": null,
"llm_question": null,
"rubric": null,
"multi_select_labels": null,
"description": null,
"categories": null,
"auto_categorization_references": null,
"auto_categorization_allow_multiple_categories": false,
"create_criteria_if_missing": false,
"criteria_id": null,
"overwrite_latest_version": false,
"generate_insights": true
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"question": "<string>",
"llm_question": "<string>",
"llm_eval_enabled": true,
"type": "1-5",
"rubric": {},
"multi_select_labels": [
"<string>"
],
"version_number": 123,
"is_deployed": true,
"created_at": 123,
"sample_rate": 123,
"target": {
"target_type": "prompt",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "<string>",
"roles": [
"<string>"
],
"first_name": "<string>",
"last_name": "<string>",
"signup_source": "<string>",
"profile_picture": null,
"profile_color": null
},
"alignment_score": {
"number_correct": 123,
"number_incorrect": 123,
"ratio": 123,
"average_cost": 123
},
"options": [
"<string>"
],
"model_id": null,
"model_name": null,
"position": null,
"is_enabled": true,
"generate_insights": true,
"criteria_description": null,
"references": null,
"allow_multiple_categories": false,
"categories": null,
"eval_code": null,
"language": "python",
"pass_score": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
prompt, agent 1-5, 1-3, 1-100, yes-no, multi-select, text, auto-categorization, code-bool, code-float Show child attributes
Show child attributes
Frozen copy of the old flat EvaluationCriteriaVersionInfo shape for backward-compatible public API.
1-5, 1-3, 1-100, yes-no, multi-select, text, auto-categorization, code-bool, code-float Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
python, typescript